/* --- STRUCTURE ET LAYOUT (Toujours appliqué) --- */
body {
  max-width: 700px;
  margin: auto;
  padding: 1em;
  line-height: 1.3;
  font-size: 1.1em;
}

.menu { padding: 0; }
.menu li { display: inline-block; }
.article-meta, .menu a {
  text-decoration: none;
  padding: 5px;
  border-radius: 5px;
}
.menu, .article-meta, footer { text-align: center; }
.title { font-size: 1.1em; }
footer a { text-decoration: none; }

hr {
  border-style: solid;
  width: 300px;
}

pre {
  border: 1px solid #ddd;
  padding: 1em;
  overflow-x: auto;
}
pre code { background: none; }

img, iframe, video { max-width: 100%; }
main { hyphens: auto; }
blockquote {
  border-left: 5px solid #ccc;
  padding: 3px 1em 3px;
}

table {
  margin: auto;
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
}
table thead th { border-bottom: 1px solid #ccc; }
th, td { padding: 5px; }

h1 {
  text-align: center;
  font-weight: lighter;
  font-size: 1.2em;
}
p.title  {
  text-align: center;
  font-size: 2em;
  font-weight: lighter;
}
ul.tiny {
  list-style: none;
}

/* --- COULEURS : THÈME SOMBRE --- */
@media (prefers-color-scheme: dark) {
  body {
    color: #eee;
    background: #121212;
  }
  
  a:link {
    color: rgb(102, 102, 255);
  }
  
  a:visited {
    color: #d288c1;
  }
  
  hr {
    color: #ccc;
  }

  thead, tfoot, tr:nth-child(even) { 
    background: #ccc; 
    color: #121212; /* Optionnel : pour assurer la lisibilité sur fond gris */
  }
}

/* --- COULEURS : THÈME CLAIR (Par défaut) --- */
@media (prefers-color-scheme: light) {
  
  /* Tu peux ajouter ici les couleurs spécifiques au mode clair si besoin */
  /* Par exemple : body { background: white; color: black; } */
}